#ifndef DATA_EDIT_H
#define DATA_EDIT_H

#include <QDialog>

#include "xml_opr.h"

namespace Ui {
class CDataEdit;
}

class CDataEdit : public QDialog
{
    Q_OBJECT

public:
    explicit CDataEdit(QWidget* parent = nullptr);
    ~CDataEdit();

public:
    void set_data(const QString& data);
    void import_data();
    void set_xml_opr(CXmlOpr* xml_opr);

protected:
    void showEvent(QShowEvent* event) override;
    void show_before();

public:
    bool is_import_{false};
    bool is_import_sucess_{false};

private:
    void replace();
    void with_draw();

public:
    QString pre_content_{};

private:
    Ui::CDataEdit* ui;
    QString        data_{};
    CXmlOpr*       xml_opr_{};
};

#endif   // DATA_EDIT_H
